Bug 168542 - DELETE without WHERE doesn't work on ISAM tables
DELETE without WHERE doesn't work on ISAM tables
Status: CLOSED NEXTRELEASE
Product: Fedora Legacy
Classification: Retired
Component: mysql (Show other bugs)
rhl9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Fedora Legacy Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-16 18:58 EDT by Nathaniel Eliot
Modified: 2007-04-18 13:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-27 09:34:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Ad-hoc perl script to convert ISAM tables to MyISAM (865 bytes, text/plain)
2005-11-16 17:00 EST, Nathaniel Eliot
no flags Details

  None (edit)
Description Nathaniel Eliot 2005-09-16 18:58:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Running a query of "DELETE FROM table" will fail if the table is an ISAM table, with the error "ERROR 1: Can't create/write to file './foo/table.ISM' (Errcode: 17)".

Running "DELETE FROM table WHERE 0=0" works fine.  Converting the table to MyISAM also fixes the problem.

Version-Release number of selected component (if applicable):
mysql-server-3.23.58-1.90.6.legacy

How reproducible:
Always

Steps to Reproduce:
1. CREATE TABLE test (col1 int(10)) TYPE = ISAM;
2. INSERT INTO test SET col1=15;
3. DELETE FROM test;

Actual Results:  ERROR 1: Can't create/write to file './test/test.ISM' (Errcode: 17)


Expected Results:  Query OK, 0 rows affected (0.00 sec)


Additional info:
Comment 1 Jesse Keating 2005-09-16 19:38:48 EDT
Sorry, this isn't a security item, not a Legacy issue.  If this problem still
occurs in supported versions of Fedora Core (3/4) then please refile for those
releases.
Comment 2 Nathaniel Eliot 2005-09-16 20:12:27 EDT
It's an issue that started after a Legacy update, and was not present before. 
Therefore, the bug is likely to be only in the Legacy code.
Comment 3 Nathaniel Eliot 2005-09-17 04:12:39 EDT
Previous version of MySQL was mysql-server_3.23.58-1.90.5.legacy_i386.rpm.
Comment 4 Daniel Rogers 2005-10-19 19:23:33 EDT
So, is this going to be fixed?
Comment 5 Nathaniel Eliot 2005-10-19 19:35:38 EDT
(In reply to comment #4)
> So, is this going to be fixed?

Haven't heard any action.  A workaround (which we used) is to convert the tables
to MyISAM.
Comment 6 Pekka Savola 2005-11-16 08:29:55 EST
This doesn't seem to be important enough to fix just on its own, so mark it DEFER.
Comment 7 Nathaniel Eliot 2005-11-16 16:50:56 EST
(In reply to comment #6)
> This doesn't seem to be important enough to fix just on its own, so mark it DEFER.

In that case, I will attach the workaround we used; a script to convert all ISAM
tables to MyISAM.
Comment 8 Nathaniel Eliot 2005-11-16 17:00:39 EST
Created attachment 121151 [details]
Ad-hoc perl script to convert ISAM tables to MyISAM

A small perl script to convert all ISAM tables to MyISAM, which works around
the problem this bug causes.  

Use at your own risk.
Comment 9 Marc Deslauriers 2005-11-20 23:27:18 EST
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Could you please try the following rh9 packages and report back here. They
should fix the problem. If they work for you, I'll release them.

Thanks.

89e3abafd4fa687687036c567413a4bc031d7cf8  mysql-3.23.58-1.90.7.legacy.i386.rpm
ab476240da033ff2c14b1a7c84c2482e1f7ed709  mysql-3.23.58-1.90.7.legacy.src.rpm
97ed76c658663aa47f0b84597e00d3be52cb8a9d  mysql-devel-3.23.58-1.90.7.legacy.i386.rpm
6cb173daf40d9c6be0416bb681b9f6b28b75ffe3 
mysql-server-3.23.58-1.90.7.legacy.i386.rpm


http://www.infostrategique.com/linuxrpms/legacy/9/mysql-3.23.58-1.90.7.legacy.i386.rpm
http://www.infostrategique.com/linuxrpms/legacy/9/mysql-3.23.58-1.90.7.legacy.src.rpm
http://www.infostrategique.com/linuxrpms/legacy/9/mysql-devel-3.23.58-1.90.7.legacy.i386.rpm
http://www.infostrategique.com/linuxrpms/legacy/9/mysql-server-3.23.58-1.90.7.legacy.i386.rpm

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDgU1fLMAs/0C4zNoRAgZoAKCzGeDhH0utnpwqUXlHKOqjKhQ6wACfVEDD
4SJBzzIPmIjD99G2BoGMeMs=
=yldj
-----END PGP SIGNATURE-----
Comment 10 Nathaniel Eliot 2005-11-22 16:13:28 EST
They do not fix the problem; the repeatable steps I listed still produce the
same error.
Comment 11 Nathaniel Eliot 2005-11-22 17:56:58 EST
(In reply to comment #10)
> They do not fix the problem; the repeatable steps I listed still produce the
> same error.

Correction: they work just fine, if I install them right.

Problem appears to be solved.
Comment 12 Marc Deslauriers 2005-11-27 09:34:14 EST
Packages to fix this issue have been submitted for QA in bug 167803.

Note You need to log in before you can comment on or make changes to this bug.